# How to Setup React Query in Next.js 13 App Directory

Are you interested in using React Query in your Next.js 13 app directory? If so, you've come to the right place! In this article, I'll guide you through the process of setting up React Query and making the QueryClient accessible to all components in the component tree.

![How to Setup React Query in Next.js 13 App Directory](https://codevoweb.com/wp-content/uploads/2023/03/How-to-Setup-React-Query-in-Next.js-13-App-Directory-1024x576.webp)

## Topics Covered

- Setup the Next.js 13 Project
- Create a Custom Query Client Provider
- Create a Request-scoped Instance of QueryClient
- Create a Custom Hydrate Component
- Provide the QueryClient Provider to Next.js
- Prefetching Data Using Hydration and Dehydration
    - Create the Client-Side Component
    - Create the Page Component
- Prefetching Data Using Initial Data
    - Create the Client-Side Component
    - Create the Page Component
- Create Links to the Pages
- Conclusion


Read the entire article here: [https://codevoweb.com/setup-react-query-in-nextjs-13-app-directory/](https://codevoweb.com/setup-react-query-in-nextjs-13-app-directory/)

